Bug 742299 - change lsinitrd to use "xz --single-stream" (from xz 5.1)
change lsinitrd to use "xz --single-stream" (from xz 5.1)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On: 736318
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 11:57 EDT by Paolo Bonzini
Modified: 2012-01-23 06:31 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 736318
Environment:
Last Closed: 2012-01-23 06:31:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2011-09-29 11:57:25 EDT
The F16 installation image is two concatenated cpio images:

  [xz-compressed dracut initramfs][uncompressed cpio with /squashfs.img]

lsinitrd doesn't know how to deal with this. xz 5.1.1alpha and higher can do this:

( xz -dc --single-stream > initramfs.cpio && cat > install.cpio ) < initrd.img

and it would be nice if lsinitrd would use --single-stream once it is made available in Fedora.
Comment 1 Fedora Admin XMLRPC Client 2011-10-20 12:19:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Harald Hoyer 2012-01-23 06:31:33 EST
dracut-014-61.git20120123.fc17

Note You need to log in before you can comment on or make changes to this bug.